//TASHI25J.D

BEGIN tashi25j

IF ~~ THEN BEGIN tash2
  SAY ~And I suppose you know all this because you're a ghost now, right?~
  IF ~~ THEN EXTERN HGWRA01 24
END

IF ~~ THEN BEGIN rom1
  SAY ~<CHARNAME>...~
    = ~Look... I tried to think of something nice to say to you when this moment finally came...~
    = ~I suppose I could hide the truth from you and others, but not from myself...~
    = ~Please don't break my heart by leaving, <CHARNAME>! All jokes aside, I love you too much to lose you just like that!~
  IF ~~ THEN REPLY ~I won't. I am staying, with you.~ GOTO 0
  IF ~~ THEN REPLY ~Well... the power is tempting...~ GOTO 1
  IF ~~ THEN REPLY ~I'm sorry, Tashia, I have to fulfill my destiny.~ GOTO 2
END

IF ~~ THEN BEGIN 0
  SAY ~I sincerely hope so...~
  IF ~~ THEN EXTERN FINSOL01 TashiaAdd1
END

IF ~~ THEN BEGIN 1
  SAY ~How can you even consider giving up everything we've accomplished so far? If I were in your place, I would never leave you! Truly, <CHARNAME>, what good is power when it is acquired by breaking a loved one's heart?~
    = ~Stay... Please?  I swear you will never be alone ever again, and I'll try my best to make every moment of our time together the greatest it can possibly be!~
  IF ~~ THEN EXTERN FINSOL01 TashiaAdd1
END

IF ~~ THEN BEGIN 2
  SAY ~Your destiny? Destiny is what you make it, <CHARNAME>. You control it. It does not control you. I thought you knew this!~
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN rom2
  SAY ~(Tashia looks up at you with a most sincere expression of both love and joy in her eyes)~
    = ~(She runs straight into your arms, nearly knocking you off your feet.)~
    = ~(She wraps her arms around you and gives you a passionate kiss.)~
  IF ~~ THEN EXTERN FINSOL01 33
END

IF ~~ THEN BEGIN noromance2
  SAY ~(Tashia stands there for a few moments, unblinking, as if not believing her ears.)~
    = ~(Feelings of sorrow, despair, loss, and ultimately...betrayal, all flash in her eyes.)~
    = ~'All love is foolish'... I should have known...~
    = ~(Tashia turns away from you, shaking her head, sickened, resigned. Tears well up in her deep jade eyes... she begins to cry.)~
  IF ~~ THEN EXTERN FINSOL01 33
END

IF ~~ THEN BEGIN noromance1
  SAY ~To become a god, with your troubles amplifying in accordance with your power, or to finally get rid of your taint and live in peace as a mortal. Not a difficult choice, is it?~
    = ~Think about it, <CHARNAME>.~
COPY_TRANS FINSOL01 27
END

IF ~~ THEN BEGIN drow1
  SAY ~I find it hard to believe that a wood elf wouldn't be aware of his dark cousins. All elves are told of our most hated enemies as soon as we're able to speak!~
    = ~I find it even harder to believe that a drow raiding party would miss the opportunity to murder a surface elf.~
    = ~What is it you're not telling us, woodcutter?~
  IF ~~ THEN EXTERN SENGUA01 drow2
END

IF ~~ THEN BEGIN voloR2
  SAY ~That's pretty vague, but thank you, nevertheless. I'm flattered.~
  IF ~~ THEN EXTERN SARVOLO 9
END

IF ~True()~ THEN BEGIN 31
  SAY ~<GABBER>? What can I do for you?~
  IF ~!HPLT(Myself,50)~ THEN REPLY ~Are you alright?~ GOTO 32a
  IF ~HPLT(Myself,50)
      !HPLT(Myself,30)~ THEN REPLY ~Are you alright?~ GOTO 32b
  IF ~HPLT(Myself,30)
      !HPLT(Myself,10)~ THEN REPLY ~Are you alright?~ GOTO 32c
  IF ~HPLT(Myself,10)~ THEN REPLY ~Are you alright?~ GOTO 32d
  IF ~~ THEN REPLY ~You look odd, Tashia.~ GOTO odd
  IF ~~ THEN REPLY ~Oh, nothing. Don't mind me.~ EXIT
END

IF ~~ THEN BEGIN odd
  SAY ~I'll take that as a compliment.~
  IF ~~ THEN DO ~StartCutScene("tfix")~ EXIT
END

IF ~~ THEN BEGIN 32a
  SAY ~I'm feeling fine... Why, is something wrong?~
  IF ~~ THEN REPLY ~Oh, no, nevermind.~ EXIT
END

IF ~~ THEN BEGIN 32b
  SAY ~Ughhh... Well I seem to be... for now. A heal could be useful, though...~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 32c
  SAY ~*gasp* Ahhh.. the pain... Please, <GABBER>, help me with my wounds!~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 32d
  SAY ~*groan* I'm fine... really... While you're here, <GABBER>, would you mind passing me my right leg? It's over there on the ground behind you...~
  IF ~~ THEN EXIT
END

APPEND SENGUA01
  IF ~~ THEN BEGIN drow2
    SAY ~What is it you surface elves say? 'Curiosity killed the cat'? Well, here is your answer, kitty! Praise Lloth!!~
    IF ~~ THEN DO ~Enemy()
SetGlobal("DrowRevealed","AR6100",1)
EraseJournalEntry(67464)~ EXIT
  END
END

EXTEND_BOTTOM HGWRA01 24
  IF ~Global("LovedOne","GLOBAL",16)~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("cuttas06")~ EXIT
END

EXTEND_BOTTOM HGWRA01 18
  IF ~IsValidForPartyDialogue("Tashia")
Global("TashiaRomanceActive","GLOBAL",2)~ THEN EXTERN HGWRA01 tash1
END

APPEND HGWRA01
  IF ~~ THEN BEGIN tash1
    SAY ~What of the inevitable pain you must give to the one you love? The young elven sorceress you call 'Tashia'?~
    IF ~~ THEN DO ~SetGlobal("LovedOne","GLOBAL",16)~ EXTERN TASHI25J tash2
  END
END

EXTEND_TOP FATESP 6
  IF ~!InParty("Tashia")
!Dead("Tashia")
Global("TashiaSummoned","GLOBAL",0)~ THEN REPLY ~Bring me Tashia, the elven Sorceress.~ DO ~SetGlobal("TashiaSummoned","GLOBAL",1)~ EXTERN FATESP 8
END

EXTEND_BOTTOM FINSOL01 27
  IF ~IsValidForPartyDialog("Tashia")
!Global("TashiaRomanceActive","GLOBAL",2)~ THEN EXTERN ~tashi25j~ noromance1
END

EXTEND_BOTTOM FINSOL01 31
  IF ~IsValidForPartyDialog("Tashia")
Global("TashiaRomanceActive","GLOBAL",2)~ THEN EXTERN tashi25j noromance2
END

EXTEND_BOTTOM FINSOL01 32
  IF ~IsValidForPartyDialog("Tashia")
Global("TashiaRomanceActive","GLOBAL",2)~ THEN EXTERN tashi25j rom2
END

ADD_TRANS_TRIGGER SENGUA01 4 ~!IsValidForPartyDialog("Tashia")~

EXTEND_BOTTOM SENGUA01 4
  IF ~IsValidForPartyDialog("Tashia")~ THEN EXTERN tashi25j drow1
END

APPEND FINSOL01
  IF ~~ THEN BEGIN TashiaAdd1
    SAY ~The time has come to make your choice, Bhaalspawn.  What is your wish?~ [SOLAR102] /* #67885 */
COPY_TRANS FINSOL01 28
  END
END

REPLACE FINSOL01
  IF ~~ THEN BEGIN 28
    SAY ~(Solar looks at you intently, anticipating your decision.)~
    IF ~Global("TashiaRomanceActive","GLOBAL",2)~ THEN EXTERN tashi25j rom1
    IF ~!Global("TashiaRomanceActive","GLOBAL",2)~ THEN EXTERN FINSOL01 TashiaAdd1
  END
END

EXTEND_TOP SARVOLO 9 #1
  IF ~InParty("Tashia")
Global("TashiaRomanceActive","GLOBAL",2)~ THEN REPLY ~Tell me about Tashia.~ EXTERN SARVOLO voloR1
END

EXTEND_TOP SARVOLO 9 #1
  IF ~InParty("Tashia")
!Global("TashiaRomanceActive","GLOBAL",2)~ THEN REPLY ~Tell me about Tashia.~ EXTERN SARVOLO voloN1
END

APPEND SARVOLO
  IF ~~ THEN BEGIN voloR1
    SAY ~Wandering around the harsh frozen lands of the Icewind Dale as an orphaned child, with her past as uncertain as her future, Tashia could not have known that only in a few decades she would meet the love of her life, <CHARNAME>, and become perhaps the most powerful Sorceress to grace the Realms.~
    IF ~IsValidForPartyDialog("Tashia")~ THEN EXTERN tashi25j voloR2
    IF ~!IsValidForPartyDialog("Tashia")~ THEN EXTERN SARVOLO 9
  END
END

APPEND SARVOLO
  IF ~~ THEN BEGIN voloN1
    SAY ~Wandering around the harsh frozen lands of the Icewind Dale as an orphaned child, with her past as uncertain as her future, Tashia could not have known that only in a few decades she would become perhaps the most powerful Sorceress to grace the Realms.~
    IF ~IsValidForPartyDialog("Tashia")~ THEN EXTERN tashi25j voloR2
    IF ~!IsValidForPartyDialog("Tashia")~ THEN EXTERN SARVOLO 9
  END
END
